Skip to main content
POST
/
preview
/
marketing-solutions
/
marketplace-performance-outcomes
/
stats
/
realtime-reports
/
export
/preview/marketing-solutions/marketplace-performance-outcomes/stats/realtime-reports/export
curl --request POST \
  --url https://api.criteo.com/preview/marketing-solutions/marketplace-performance-outcomes/stats/realtime-reports/export \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "advertiserIds": [
        "<string>"
      ],
      "campaignIds": [
        "<string>"
      ],
      "currency": "<string>",
      "dimensions": [],
      "endDate": "2023-11-07T05:31:56Z",
      "lookbackWindow": 123,
      "metrics": [],
      "partnerIds": [
        "<string>"
      ],
      "sellerIds": [
        "<string>"
      ],
      "startDate": "2023-11-07T05:31:56Z",
      "timezone": "<string>"
    },
    "type": "<string>"
  }
}
'
import requests

url = "https://api.criteo.com/preview/marketing-solutions/marketplace-performance-outcomes/stats/realtime-reports/export"

payload = { "data": {
"attributes": {
"advertiserIds": ["<string>"],
"campaignIds": ["<string>"],
"currency": "<string>",
"dimensions": [],
"endDate": "2023-11-07T05:31:56Z",
"lookbackWindow": 123,
"metrics": [],
"partnerIds": ["<string>"],
"sellerIds": ["<string>"],
"startDate": "2023-11-07T05:31:56Z",
"timezone": "<string>"
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
advertiserIds: ['<string>'],
campaignIds: ['<string>'],
currency: '<string>',
dimensions: [],
endDate: '2023-11-07T05:31:56Z',
lookbackWindow: 123,
metrics: [],
partnerIds: ['<string>'],
sellerIds: ['<string>'],
startDate: '2023-11-07T05:31:56Z',
timezone: '<string>'
},
type: '<string>'
}
})
};

fetch('https://api.criteo.com/preview/marketing-solutions/marketplace-performance-outcomes/stats/realtime-reports/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "attributes": {
      "exportId": "<string>",
      "message": "<string>"
    },
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

The realtime report export request.

A top-level object that encapsulates a Criteo API request for a single value object.

data
object

A value resource exposed by the API.

Response

Success

A top-level object that encapsulates a Criteo API response for a single value object.

data
object | null

A value resource exposed by the API.

errors
object[] | null
read-only

Errors that occured during this call.

warnings
object[] | null
read-only

Warnings that occured during this call.